VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vapi::metadata::metamodel::Type::BuiltinType Class Reference

The `Type.BuiltinType` enumerated type provides enumeration value for each of the built-in types present in the interface definition language type system. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, VOID, BOOLEAN, LONG, DOUBLE, STRING, BINARY, SECRET, DATE_TIME, ID, URI, ANY_ERROR, DYNAMIC_STRUCTURE, OPAQUE }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static BuiltinType[] | GetValues ()
static BuiltinType | ValueOf (string name)
## Static Public Attributes
static readonly BuiltinType | VOID = new BuiltinType("VOID", Values.VOID)
| The built-in type is a void.
static readonly BuiltinType | BOOLEAN = new BuiltinType("BOOLEAN", Values.BOOLEAN)
| The built-in type is a boolean.
static readonly BuiltinType | LONG = new BuiltinType("LONG", Values.LONG)
| The built-in type is a long.
static readonly BuiltinType | DOUBLE = new BuiltinType("DOUBLE", Values.DOUBLE)
| The built-in type is a double.
static readonly BuiltinType | STRING = new BuiltinType("STRING", Values.STRING)
| The built-in type is a string.
static readonly BuiltinType | BINARY = new BuiltinType("BINARY", Values.BINARY)
| The built-in type is a binary.
static readonly BuiltinType | SECRET = new BuiltinType("SECRET", Values.SECRET)
| The built-in type is a secret.
static readonly BuiltinType | DATE_TIME = new BuiltinType("DATE_TIME", Values.DATE_TIME)
| The built-in type is a datetime.
static readonly BuiltinType | ID = new BuiltinType("ID", Values.ID)
| The built-in type is an ID.
static readonly BuiltinType | URI = new BuiltinType("URI", Values.URI)
| The built-in type is an URI.
static readonly BuiltinType | ANY_ERROR = new BuiltinType("ANY_ERROR", Values.ANY_ERROR)
| The built-in type is an arbitrary error type.
static readonly BuiltinType | DYNAMIC_STRUCTURE = new BuiltinType("DYNAMIC_STRUCTURE", Values.DYNAMIC_STRUCTURE)
| The built-in type is a dynamic structure.
static readonly BuiltinType | OPAQUE = new BuiltinType("OPAQUE", Values.OPAQUE)
| The built-in type is an opaque.

## Detailed Description

The `Type.BuiltinType` enumerated type provides enumeration value for each of the built-in types present in the interface definition language type system.

## Member Enumeration Documentation

enum vmware::vapi::metadata::metamodel::Type::BuiltinType::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  VOID | The built-in type is a void. The value is null.
  BOOLEAN | The built-in type is a boolean. The value is true or false.
  LONG | The built-in type is a long. The value is a 64 bit signed integer.
  DOUBLE | The built-in type is a double. The value is a 64 bit floating point number.
  STRING | The built-in type is a string. The value is a variable-length sequence of zero or more unicode characters.
  BINARY | The built-in type is a binary. The value is a variable-length sequence of zero or more bytes.
  SECRET | The built-in type is a secret. The value is a variable-length sequence of zero or more unicode characters. The value contains sensitive data that should not be printed or displayed anywhere.
  DATE_TIME | The built-in type is a datetime. The value should be in the UTC timezone and the precision is milliseconds.
  ID | The built-in type is an ID. The value represents an identifier for a resource.
  URI | The built-in type is an URI. The value follows the IRI specification in RFC 3987.
  ANY_ERROR | The built-in type is an arbitrary error type. This is used if the value of a typed element can be one of any user defined named type which is an error.
  DYNAMIC_STRUCTURE | The built-in type is a dynamic structure. This is used if the value of a typed element can be one of any user defined named type.
  OPAQUE | The built-in type is an opaque. This is used if the value of a typed element could be of any type and the actual type will be known only during the execution of the API. This is mostly used in infrastructure interfaces.

## Member Function Documentation

Values vmware::vapi::metadata::metamodel::Type::BuiltinType::GetEnumValue | ( |  | ) | `[inline]`

static BuiltinType [] vmware::vapi::metadata::metamodel::Type::BuiltinType::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vapi::metadata::metamodel::Type::BuiltinType::IsUnknown | ( |  | ) | `[inline]`

static BuiltinType vmware::vapi::metadata::metamodel::Type::BuiltinType::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly BuiltinType vmware::vapi::metadata::metamodel::Type::BuiltinType::ANY_ERROR = new BuiltinType("ANY_ERROR", Values.ANY_ERROR)`[static]`

The built-in type is an arbitrary error type.

This is used if the value of a typed element can be one of any user defined named type which is an error.

readonly BuiltinType vmware::vapi::metadata::metamodel::Type::BuiltinType::BINARY = new BuiltinType("BINARY", Values.BINARY)`[static]`

The built-in type is a binary.

The value is a variable-length sequence of zero or more bytes.

readonly BuiltinType vmware::vapi::metadata::metamodel::Type::BuiltinType::BOOLEAN = new BuiltinType("BOOLEAN", Values.BOOLEAN)`[static]`

The built-in type is a boolean.

The value is true or false.

readonly BuiltinType vmware::vapi::metadata::metamodel::Type::BuiltinType::DATE_TIME = new BuiltinType("DATE_TIME", Values.DATE_TIME)`[static]`

The built-in type is a datetime.

The value should be in the UTC timezone and the precision is milliseconds.

readonly BuiltinType vmware::vapi::metadata::metamodel::Type::BuiltinType::DOUBLE = new BuiltinType("DOUBLE", Values.DOUBLE)`[static]`

The built-in type is a double.

The value is a 64 bit floating point number.

readonly BuiltinType vmware::vapi::metadata::metamodel::Type::BuiltinType::DYNAMIC_STRUCTURE = new BuiltinType("DYNAMIC_STRUCTURE", Values.DYNAMIC_STRUCTURE)`[static]`

The built-in type is a dynamic structure.

This is used if the value of a typed element can be one of any user defined named type.

readonly BuiltinType vmware::vapi::metadata::metamodel::Type::BuiltinType::ID = new BuiltinType("ID", Values.ID)`[static]`

The built-in type is an ID.

The value represents an identifier for a resource.

readonly BuiltinType vmware::vapi::metadata::metamodel::Type::BuiltinType::LONG = new BuiltinType("LONG", Values.LONG)`[static]`

The built-in type is a long.

The value is a 64 bit signed integer.

readonly BuiltinType vmware::vapi::metadata::metamodel::Type::BuiltinType::OPAQUE = new BuiltinType("OPAQUE", Values.OPAQUE)`[static]`

The built-in type is an opaque.

This is used if the value of a typed element could be of any type and the actual type will be known only during the execution of the API. This is mostly used in infrastructure interfaces.

readonly BuiltinType vmware::vapi::metadata::metamodel::Type::BuiltinType::SECRET = new BuiltinType("SECRET", Values.SECRET)`[static]`

The built-in type is a secret.

The value is a variable-length sequence of zero or more unicode characters. The value contains sensitive data that should not be printed or displayed anywhere.

readonly BuiltinType vmware::vapi::metadata::metamodel::Type::BuiltinType::STRING = new BuiltinType("STRING", Values.STRING)`[static]`

The built-in type is a string.

The value is a variable-length sequence of zero or more unicode characters.

readonly BuiltinType vmware::vapi::metadata::metamodel::Type::BuiltinType::URI = new BuiltinType("URI", Values.URI)`[static]`

The built-in type is an URI.

The value follows the IRI specification in RFC 3987.

readonly BuiltinType vmware::vapi::metadata::metamodel::Type::BuiltinType::VOID = new BuiltinType("VOID", Values.VOID)`[static]`

The built-in type is a void.

The value is null.

The documentation for this class was generated from the following file:

- vapi/metadata/metamodel/Type.cs